Chinaunix首页 | 论坛 | 博客
  • 博客访问: 473469
  • 博文数量: 95
  • 博客积分: 1773
  • 博客等级: 上尉
  • 技术积分: 1641
  • 用 户 组: 普通用户
  • 注册时间: 2007-08-17 23:28
文章分类
文章存档

2018年(2)

2017年(10)

2016年(7)

2015年(48)

2014年(2)

2013年(2)

2012年(2)

2011年(7)

2010年(7)

2009年(3)

2008年(1)

2007年(4)

分类: 系统运维

2008-07-15 10:39:16

   偶然把Firefox从正式版的3.0升级到测试版的3.0.1,大部分插件还能用,但用的最多的Tab Mix Plus却提示不兼容啦,到Firefox的扩展工具下载主站去看了下,Tab Mix Plus还没有提供兼容的升级,但没有这个插件真的不方便,就想是否有解决的办法?搜索了下,发现网上没有直接的方法,不过提到一般这些知名的插件可能不是本身不支持新版本,只是写的支持的最高版中没有包括这样的版本号而已,故我想是不是能够通过本地设置来暂时解决这一的问题?说干就干:
  • 首先是找到Tab Mix Plus安装地址,因为我的配置文件是单独放置在目录中,所以可以方便的查找,查出来Tab Mix Plus放置的地点是"主配置文件目录\extensions\{dc572301-7619-498c-a57d-39143191b318}"
  • 再次是怎么修改,这个目录下面有一个install.rdf文件,不知道修改了有用没用?我尝试用vim打开,发现这个文件是纯文本XML格式文件,里面有我尝试把maxVersion="3.0"改成maxVersion="3.0.1"后从新启动firefox,哈已经识别啦,再简单试用一下功能,所有功能还是正常的,看来是改对啦。

现在还没有发现有什么不良的效果,记录在这里,方便以后类推使用。
阅读(1937) | 评论(0) | 转发(0) |
给主人留下些什么吧!~~